|  | Home · All Classes · Modules

# QGraphicsView.OptimizationFlags Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, OptimizationFlags)

### Special Methods

- OptimizationFlags __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, OptimizationFlags f)
- OptimizationFlags __iand__ (self, int f)
- int __int__ (self)
- OptimizationFlags __invert__ (self)
- OptimizationFlags __ior__ (self, int f)
- OptimizationFlags __ixor__ (self, int f)
- bool __ne__ (self, OptimizationFlags f)
- OptimizationFlags __or__ (self, int f)
- OptimizationFlags __xor__ (self, int f)

## Detailed Description

OptimizationFlag may be used whenever OptimizationFlags is expected.

## Method Documentation

### OptimizationFlags.__init__ (self)

### OptimizationFlags.__init__ (self, int f)

### OptimizationFlags.__init__ (self, OptimizationFlags)

### OptimizationFlags OptimizationFlags.__and__ (self, int f)

### int OptimizationFlags.__bool__ (self)

### bool OptimizationFlags.__eq__ (self, OptimizationFlags f)

### OptimizationFlags OptimizationFlags.__iand__ (self, int f)

### int OptimizationFlags.__int__ (self)

### OptimizationFlags OptimizationFlags.__invert__ (self)

### OptimizationFlags OptimizationFlags.__ior__ (self, int f)

### OptimizationFlags OptimizationFlags.__ixor__ (self, int f)

### bool OptimizationFlags.__ne__ (self, OptimizationFlags f)

### OptimizationFlags OptimizationFlags.__or__ (self, int f)

### OptimizationFlags OptimizationFlags.__xor__ (self, int f)